Beefy Boxes and Bandwidth Generously Provided by pair Networks
go ahead... be a heretic
 
PerlMonks  

Using ActivePerl and Strawberry simultaneously

by dhannotte (Acolyte)
on Mar 20, 2017 at 04:20 UTC ( #1185219=perlquestion: print w/replies, xml ) Need Help??
dhannotte has asked for the wisdom of the Perl Monks concerning the following question:

I recently upgraded my version of 64-bit ActivePerl from version 5.10.1.1007 to 5.22.2.2203, and am having tons of problems with it.

I'd really rather jump to Strawberry, but I'll have to test it first on each of the critical Perl apps I run on a daily basis.

Can I install the portable version of Strawberry and test it out while continuing to use the ActivePerl version for production work?

  • Comment on Using ActivePerl and Strawberry simultaneously

Replies are listed 'Best First'.
Re: Using ActivePerl and Strawberry simultaneously
by syphilis (Chancellor) on Mar 20, 2017 at 06:02 UTC
    Can I install the portable version of Strawberry and test it out while continuing to use the ActivePerl version for production work?

    Yes. The only shell that will have Strawberry Perl in its path is the one that you start by executing Strawberry's portableshell.bat.

    Cheers,
    Rob
      ..and when you feel good with the new Strawberry Perl installation you can a) uninstall the activeperl or b) just clear PATH removing the activeperl entries and (permanently) adding the strawberry ones.

      Other relevant entries (from straberry's portableshell.bat) are also recommended

      set TERM=dumb set PERL_JSON_BACKEND=JSON::XS set PERL_YAML_BACKEND=YAML rem avoid collisions with other perl stuff on your system set PERL5LIB= set PERL5OPT= set PERL_MM_OPT= set PERL_MB_OPT=

      I'm also used to remove the file type association (check it with assoc .pl ).

      L*

      There are no rules, there are no thumbs..
      Reinvent the wheel, then learn The Wheel; may be one day you reinvent one of THE WHEELS.
Re: Using ActivePerl and Strawberry simultaneously
by Marshall (Abbot) on Mar 20, 2017 at 04:37 UTC
    I recently upgraded my version of 64-bit ActivePerl from version 5.10.1.1007 to 5.22.2.2203, and am having tons of problems with it.

    I recommend that you completely uninstall Active State v5.10.x and then install anew version 5.22+. As far as I know, the ActiveState upgrade program doesn't work for 5.10.

    read Upgrading to Active State 5.22

    I think this is relevant:

    Binary Incompatibility: ActivePerl 2200 series builds (Perl 5.22) are not binary-compatible with the 2000 (Perl 5.20), and older series builds. In particular, do not attempt to use extensions or PPM packages built for an older series builds with ActivePerl 2200 series builds and vice versa.
Re: Using ActivePerl and Strawberry simultaneously
by stevieb (Monsignor) on Mar 20, 2017 at 13:41 UTC

    You could use berrybrew. One of the design purposes is to allow you to use as many versions of Strawberry Perl as you want, then easily switch back to the system (in this case ActiveState) Perl instance.

    You can install from Github (above link), or via a zip file per the Installation instructions.

    Then:

    cd berrybrew bin\berrybrew.exe config # close cmd window, open a new one berrybrew install 5.24.1_64 berrybrew switch 5.24.1_64 # open new cmd window

    At this point you're using Strawberry Portable version 5.24.1. To switch back to ActiveState:

    berrybrew off

    To go back to a berrybrew managed Strawberry instance, just use the switch command per above.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://1185219]
Approved by Athanasius
Front-paged by Corion
help
Chatterbox?
and all is quiet...

How do I use this? | Other CB clients
Other Users?
Others having an uproarious good time at the Monastery: (4)
As of 2017-05-22 20:03 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?